'use strict';

/* eslint-disable id-length */

module.exports = {
  accounts: [
    'deleteAccount',
    'deleteSchemaFields',
    'deleteScreenSet',
    'exchangeUIDSignature',
    'finalizeRegistration',
    'getAccountInfo',
    'getConflictingAccount',
    'getCounters',
    'getJWTPublicKey',
    'getJWT',
    'getPolicies',
    'getRegisteredCounters',
    'getSchema',
    'getScreenSets',
    'importLiteAccount',
    'importProfilePhoto',
    'incrementCounters',
    'initRegistration',
    'isAvailableLoginID',
    'linkAccounts',
    'login',
    'logout',
    'notifyLogin',
    'publishProfilePhoto',
    'rba.getPolicy',
    'rba.setPolicy',
    'rba.unlock',
    'registerCounters',
    'register',
    'resendVerificationCode',
    'resetPassword',
    'search',
    'setAccountInfo',
    'setPolicies',
    'setProfilePhoto',
    'setSchema',
    'setScreenSet',
    'socialLogin',
    'tfa.deactivateProvider',
    'tfa.finalizeTFA',
    'tfa.getCertificate',
    'tfa.getProviders',
    'tfa.initTFA',
    'tfa.unregisterDevice',
    'unregisterCounters',
    'unsubscribe',
    'webhooks.delete',
    'webhooks.getAll',
    'webhooks.set',
  ],

  audit: [
    'search',
  ],

  comments: [
    'analyzeMediaItem',
    'deleteComment',
    'deleteModerators',
    'flagComment',
    'getCategories',
    'getCategoryInfo',
    'getComments',
    'getModerators',
    'getRelatedUsers',
    'getStreamInfo',
    'getTopRatedStreams',
    'getTopStreams',
    'getUserComments',
    'getUserHighlighting',
    'getUserOptions',
    'highlightUser',
    'moveComments',
    'postComment',
    'setCategoryInfo',
    'setModerators',
    'setStreamInfo',
    'setUserOptions',
    'subscribe',
    'unsubscribe',
    'updateComment',
    'vote',
  ],

  ds: [
    'delete',
    'deleteSchemaFields',
    'get',
    'getSchema',
    'getTypes',
    'search',
    'setSchema',
    'store',
  ],

  fidm: [
    'saml.delIdP',
    'saml.getConfig',
    'saml.getRegisteredIdPs',
    'saml.importIdPMetadata',
    'saml.registerIdP',
    'saml.setConfig',
  ],

  gm: [
    'deleteAction',
    'deleteChallenge',
    'deleteChallengeVariant',
    'getActionConfig',
    'getActionsLog',
    'getChallengeConfig',
    'getChallengeStatus',
    'getChallengeVariants',
    'getGlobalConfig',
    'getTopUsers',
    'notifyAction',
    'redeemPoints',
    'resetLevelStatus',
    'setActionConfig',
    'setChallengeConfig',
    'setGlobalConfig',
  ],

  ids: [
    'deleteAccount',
    'getAccountInfo',
    'getCounters',
    'getRegisteredCounters',
    'getSchema',
    'incrementCounters',
    'registerCounters',
    'search',
    'setAccountInfo',
    'setSchema',
    'unregisterCounters',
  ],

  reports: [
    'getAccountsStats',
    'getCommentsStats',
    'getGMRedeemablePoints',
    'getGMStats',
    'getGMTopUsers',
    'getGMUserStats',
    'getIRank',
    'getReactionsStats',
    'getSocializeStats',
  ],

  socialize: [
    'deleteAccount',
    'delUserSettings',
    'exchangeUIDSignature',
    'exportUsers',
    'facebookGraphOperation',
    'getContacts',
    'getFriendsInfo',
    'getRawData',
    'getReactionsCount',
    'getSessionInfo',
    'getTopShares',
    'getUserInfo',
    'getUserSettings',
    'importIdentities',
    'incrementReactionsCount',
    'logout',
    'notifyLogin',
    'notifyRegistration',
    'publishUserAction',
    'removeConnection',
    'setStatus',
    'setUID',
    'setUserInfo',
    'setUserSettings',
    'shortenURL',
  ],
};
